Bug 296447 - Page Zoom changes inexpectedly
Summary: Page Zoom changes inexpectedly
Status: RESOLVED FIXED
Alias: None
Product: rekonq
Classification: Unclassified
Component: general (show other bugs)
Version: latest git snapshot
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Andrea Diamantini
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-20 17:40 UTC by Dario
Modified: 2012-06-19 15:47 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dario 2012-03-20 17:40:37 UTC
If I open a web page and rapidly change its zoom level (with CTRL + <+> or <->) before the page completes to load, the zoom settings get automatically erased when the page gets fully loaded
Comment 1 Dario 2012-03-20 17:48:16 UTC
This happens for example with www.repubblica.it
Also, when I change the zoom level after the page has been fully loaded, the zoom change I do with the keyboard shortcuts (more zoom or less zoom) relates always to le last zoom level I setted manually (before that zoom level was erased when the page got loaded).
It's like as when the page gets loaded, rekonq zooms the page to a default zoom level (not the current one the user set with keyboard)
Comment 2 Marc Levesque 2012-05-26 22:42:53 UTC
I have the same problem

Sadly I must use another browser

Zoom level other than default is always forgotten

I would be happy if custom zoom level was remembered or if I could change the default level or both
Comment 3 Andrea Diamantini 2012-06-19 15:47:24 UTC
Git commit 85205e6368da2ee46cfe46b64f71a5c6beecab80 by Andrea Diamantini.
Committed on 19/06/2012 at 17:37.
Pushed by adjam into branch 'master'.

Fix and improve save zoom feature, loading it on start

This seems to work also with problem described in bug #295446
Related: bug 277599, bug 295446

M  +9    -8    src/webpage.cpp

http://commits.kde.org/rekonq/85205e6368da2ee46cfe46b64f71a5c6beecab80